Package weka.core.pmml

# Class PMMLUtils

java.lang.Object
weka.core.pmml.PMMLUtils

public class PMMLUtils extends Object
Utility routines.

Version:
  $Revision: 5562 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

## Constructor Summary

Constructors
Constructor
Description
`PMMLUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`pad(String source, String padChar, int length, boolean leftPad)`
Utility method to left or right pad strings with arbitrary characters.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PMMLUtils

public PMMLUtils()

## Method Details

### pad

public static String pad(String source, String padChar, int length, boolean leftPad)
Utility method to left or right pad strings with arbitrary characters.

Parameters:
  `source` - the source string
  `padChar` - the character to pad with
  `length` - the length of the resulting string
  `leftPad` - pad to the left instead of the right
Returns:
  a padded string